org.apache.solr.client.solrj.request

## Class CoreAdminRequest.CreateSnapshot

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
  - - org.apache.solr.client.solrj.request.CoreAdminRequest
    - - org.apache.solr.client.solrj.request.CoreAdminRequest.CreateSnapshot

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CoreAdminRequest

      public static class CoreAdminRequest.CreateSnapshot
      extends CoreAdminRequest

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.OverrideLastPublished, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `action, core, isIndexInfoNeeded, other`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateSnapshot(String commitName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommitName()`
    `SolrParams` | `getParams()`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

      `createCore, createCore, createCore, createResponse, getContentStreams, getCoreStatus, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, unloadCore, unloadCore, unloadCore`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateSnapshot

          public CreateSnapshot(String commitName)

  - ### Method Detail

    - #### getCommitName

          public String getCommitName()

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CoreAdminRequest`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.